<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('settings', function (Blueprint $table) {
            $table->id();
            $table->string('site_name'); // Setting key (e.g., 'notification_preferences', 'theme')
            $table->string('phone'); // Setting value (e.g., 'enabled', 'dark_mode')
            $table->string('email'); // Setting value (e.g., 'disabled', 'light_mode')
            $table->string('address')->nullable(); // Optional setting value
            $table->string('logo')->nullable(); // Path to the site logo
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('settings');
    }
};
